<?php
namespace BackOfficeOptimizer\Providers;

use Zeedhi\Framework\DataSource\DataSet;

class ParamGeralProvider{
    protected $connection;

    public function __construct($connection){
        $this->connection = $connection;
    }
    
    public function setConnection($connection) {
        $this->connection = $connection;
    }

    /**
     * 
     * @return DataSet
     */
    public function getParamGeral(){
        $sql = "SELECT CDPICTPRAT, CDPICTPROD, DSDNSCARDOTIMIZADO, IDUTRPADCA FROM PARAMGERAL";
    
        $statement = $this->connection->prepare($sql);
        $statement->execute();
        return $statement->fetchAll();
    }
}
